Subject: Re: bug#63572: [PATCH] Re: bug#63572: htmlcxx-0.87 fails to build
From: Efraim Flashner <[email-masked]>
To: "Dr. Arne Babenhauserheide" <[email-masked]>
Cc: [email-masked], Bruno Victal <[email-masked]>
Date: Wed, 24 May 2023 11:43:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, May 20, 2023 at 11:43:46PM +0200, Dr. Arne Babenhauserheide wrote:
> Hi Bruno,
> 
> Bruno Victal <[email-masked]> writes:
> >> So this may just need compiler parameters to set C++11 instead of C++17
> >> as target.
> >
> > Looking at the README file from <https://sourceforge.net/p/htmlcxx/code/ci/master/tree/>,
> > it looks to me that upstream has moved to <https://github.com/bonitao/htmlcxx>. (judging by the name of the repo owner)
> > Can you try asking upstream for a new release? The last commit (<https://github.com/bonitao/htmlcxx/commit/0ffa3e90b7dc3944f199fd80ab47c2a82589209a>)
> > has the message 'Fix c+11 compilation'.
> 
> I tried to build from the latest commit, but it did not build.
> 
> But I could now test adding the std argument and that works.

Thanks for checking.

> $ ./pre-inst-env guix build htmlcxx
> /gnu/store/3bqrqs2zzx1gy4xc1g9i59z8nnhwv2rs-htmlcxx-0.87
> 
> A patch is attached.

I didn't see any dependant packages. Patch pushed! Thanks.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted